com.saxonica.bytecode

## Class CommentCompiler

- java.lang.Object
- - com.saxonica.bytecode.ExpressionCompiler
  - - com.saxonica.bytecode.ToIteratorCompiler
    - - com.saxonica.bytecode.ToPushCompiler
      - - com.saxonica.bytecode.SimpleNodeConstructorCompiler
        - - com.saxonica.bytecode.CommentCompiler

-     public class CommentCompiler
      extends SimpleNodeConstructorCompiler

  Generate bytecode for the Comment Instruction

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentCompiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkContent(CompilerService compiler, Expression expression)` Compile code to check the content of the node, and adjust it if necessary On entry the proposed content is on the stack as a CharSequence; on exit the revised content must be on the stack as a CharSequence.
    `protected void` | `pushNode(CompilerService compiler, Expression expression)` Generate code to write the node to the current receiver.

    - ### Methods inherited from class com.saxonica.bytecode.SimpleNodeConstructorCompiler

      `compileNodeName, compileToItem, compileToPush, isNamedNodeKind, isNoNodeIfEmpty`

    - ### Methods inherited from class com.saxonica.bytecode.ToPushCompiler

      `compileToIterator`

    - ### Methods inherited from class com.saxonica.bytecode.ToIteratorCompiler

      `compileToBoolean`

    - ### Methods inherited from class com.saxonica.bytecode.ExpressionCompiler

      `allocateStatic, compileItemFromInt, compileItemFromString, compileToLoop, compileToPrimitive, generateMethod, handleEmptyStringResult, throwXPathException, throwXPathException, unboxItem, verify, visitAnnotation, visitLineNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentCompiler

          public CommentCompiler()

  - ### Method Detail

    - #### checkContent

          public void checkContent(CompilerService compiler,
                          Expression expression)

      Compile code to check the content of the node, and adjust it if necessary On entry the proposed content is on the stack as a CharSequence; on exit the revised content must be on the stack as a CharSequence.
      Overrides:
        `checkContent` in class `SimpleNodeConstructorCompiler`
      Parameters:
        `compiler` -
        `expression` -

    - #### pushNode

          protected void pushNode(CompilerService compiler,
                      Expression expression)

      Generate code to write the node to the current receiver. On entry the stack holds the current receiver, the node name (for named node kinds only) and the content (for all nodes)
      Specified by:
        `pushNode` in class `SimpleNodeConstructorCompiler`
      Parameters:
        `compiler` -
        `expression` -

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.